class Dropofwater{
	int velocity;
	int time;
	double degree;
	boolean isonscreen;

	public Dropofwater(){
		velocity = 0;
		time = 0;
		degree = 0;
		isonscreen = false;
	}

	public void init(int maxvelocity, double maxdegree, double mindegree){
		this.velocity = (int)(maxvelocity*Math.random()*Math.random());
		this.degree = (maxdegree - mindegree)*Math.random() + mindegree;
		this.time = 0;
		this.isonscreen = true;
	}

	public double getX(){
		return -velocity*Math.cos(Math.toRadians((double)degree))*time;
	}

	public double getY(){
		return -velocity*Math.sin(Math.toRadians((double)degree))*time + 0.8*time*time/2;
	}

	public void setisonscreen(boolean isonscreen){
		this.isonscreen = isonscreen;
	}

	public boolean isOnscreen(){
		return isonscreen;
	}

	public void timeInc(){
		time++;
	}
}

